/* Copyright 1989-93 GROUPE BULL -- See license conditions in file COPYRIGHT */

/***************************************************************************
 * interp.h
 *
 * Samall interp interface
 ***************************************************************************/


#ifndef _INTERP_H_
#define _INTERP_H_


#define MAX_COMMAND_LINE_SIZE	4096
#define MAX_ARGS		128

typedef struct _Command {
    char	*name ;			/* command name, as in argv[0] */
    char	*doc ;			/* command documentation */
    int		(*handler)() ;		/* command handler */
} CommandRec, *Command ;

int ParseAndExec (
#ifdef KEDIT_NeedsFunctionPrototype
      char *command_line 
#endif
) ;

void DeclareCommand (
#ifdef KEDIT_NeedsFunctionPrototype
      char *name
    , char *doc
    , int  (*handler)()
#endif
) ;

void InterpInitialize () ;

#endif /* _INTERP_H_ */
