#!ktcl -f

########################################################################
# Kedit utilities:
# FindNode: retrieve a node identifier from path
# GetValue: FindNode + get
########################################################################

proc KFindNode { server id names } {
    foreach name $names {
        set children [$server $id ls] ;
	set notfound 1 ;
        foreach child $children {
            set info [$server $child stat] ;
	    if { [lindex $info 0] == $name } then {
	 	set notfound 0 ;
  		set id [lindex $info 3] ;
		break ;
	    }
	}
	if $notfound then { return -1 } else { continue } ;
    }

    return $id ;
}

proc KGetValue { server id names } {
    set node [FindNode $server $id $names] ;
    if { $node != -1 } then { return [$server $node get] ; } else { return "" }
}

# return the name of the node
proc KName {server node} {
    return [lindex [$server $node stat] 0]
}