/* Copyright 1989-93 GROUPE BULL -- See license conditions in file COPYRIGHT */

/***************************************************************************
 * kediti.h
 *
 * Various shared data types, etc
 ***************************************************************************/

#ifndef _KEDITI_H_
#define _KEDITI_H_

#include <KeClient.h>


extern KecConnection KecConn ;

extern KID Path[] ;
extern int PathCount ;

extern int TraceFlag ;

/*
 * Data base maanegemnt functions:
 */

typedef struct _DBEntry {
    char     *name ;
    KID       node ;
    KeIdArray children ;
} DBEntryRec, *DBEntry ;

#define DBENTRY_HASHTABLE_SIZE		4096

DBEntry GetNodeEntry (
#ifdef KEDIT_NeedsFunctionPrototype
      KID node
#endif
) ;

#endif /* _KEDITI_H_ */
