/* Copyright 1989-93 GROUPE BULL -- See license conditions in file COPYRIGHT */

/***************************************************************************
 * xaw-info.c
 *
 * Display an info box for the given node
 ***************************************************************************/

#include <stdio.h>


#include "xkedit.h"

/***************************************************************************
 * MakeNodeInfoBox: create a popup with all info for node
 *
 * RETURNS: the InfoBox pointer
 ***************************************************************************/

InfoBox MakeNodeInfoBox (ctxt, node)
    Context   ctxt ;
    XTreeNode node ;

{
    InfoBox info ;

    if ( ! ( info = (InfoBox) malloc (sizeof (InfoBoxRec)) ) )
	return (info) ;

    info->wtop = XtVaCreatePopupShell ("inspector"
				       , topLevelShellWidgetClass
				       , ctxt->wtop
				       , XtNallowShellResize, TRUE
				       , XtNtransientFor, ctxt->wtop
				       , NULL) ;



}
