/* Copyright 1989-93 GROUPE BULL -- See license conditions in file COPYRIGHT */

/***************************************************************************
 * KesCodec.h
 *
 * Codecs management function, public API
 ***************************************************************************/

#ifndef KES_CODECS_H_
#define KES_CODECS_H_

#include <KeCodec.h>

/*
 * Function prototypes:
 */

KesHandlerSet KesCodecHandlerSetGet() ;

KeStatus KesCodecRegister (
#ifdef KEDIT_NeedsFunctionPrototype
      KesServer server			/* target server */
    , KeCodec   codec			/* codec to be registered */
    , KID       *codec_node_ret		/* node as ret-value */
#endif
) ;

KeCodec KesCodecFind (
#ifdef KEDIT_NeedsFunctionPrototype
      KesServer server
    , KID       codec_node
#endif
) ;
		      
#endif /* _KES_CODECS_H_ */
