/* Copyright 1989-93 GROUPE BULL -- See license conditions in file COPYRIGHT */

/***************************************************************************
 * config.h
 *
 * Machine depend configuration
 ***************************************************************************/

#ifndef _CONFIG_H_
#define _CONFIG_H_

/*
 * Does your compiler support prototypes ?
 */

#define KEDIT_NeedsFunctionPrototype

/*
 * Do you want the Xt interface to export actions ? 
 * - This flags needs X11R5 Xt library 
 * - It can make target server core, because k-Edit doesn't know
 *   how to check action parameters list, and is not able to generate
 *   the correct XEvent.
 * Although, it is great fun ! If you can, do define it.
 */

#define KESXT_EXPORT_ACTIONS

/*
 * Compatibility flags:
 * These functions should be provided by your system unless it is broken
 */

/* #define NEEDS_STRDUP */
/* #define NEEDS_STRSTR */


/* bcopy */
#ifdef SYSV
#ifndef bcopy
#define bcopy(x,y,z) memcpy(y,x,z)
#define bzero(x,y) memset(x,0,y)
#endif
#endif

#endif /* config.h */
